Mercury API
CmdReadTagSingle Method (timeout, metadataFlags, filter, protocol)
Namespaces ► ThingMagic ► SerialReader ► CmdReadTagSingle(UInt16, SerialReader..::.TagMetadataFlag, TagFilter, TagProtocol)
Search for a single tag for up to a specified amount of time.
Declaration Syntax

C# | Visual Basic | Visual C++

    [ObsoleteAttribute]
    public TagReadData CmdReadTagSingle(
    	ushort timeout,
    	SerialReader..::.TagMetadataFlag metadataFlags,
    	TagFilter filter,
    	TagProtocol protocol
    )

    <ObsoleteAttribute> _
    Public Function CmdReadTagSingle ( _
    	timeout As UShort, _
    	metadataFlags As SerialReader..::.TagMetadataFlag, _
    	filter As TagFilter, _
    	protocol As TagProtocol _
    ) As TagReadData

    [ObsoleteAttribute]
    public:
    TagReadData^ CmdReadTagSingle(
    	unsigned short timeout,
    	SerialReader..::.TagMetadataFlag metadataFlags,
    	TagFilter^ filter,
    	TagProtocol protocol
    )

Parameters

timeout (UInt16)
  the duration in milliseconds to search for a tag. Valid range is 0-65535

metadataFlags (SerialReader..::.TagMetadataFlag)
  the set of metadata values to retrieve and store in the returned object

filter (TagFilter)
  a specification of the air protocol filtering to perform

protocol (TagProtocol)
  Tag protocol under which to interpret TagData content.

Return Value
a TagReadData object containing the tag found and the metadata associated with the successful search, or null if no tag is found.

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)